For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inBook a demo
HomeGuidesAPI ReferenceGlossary
HomeGuidesAPI ReferenceGlossary
  • API Reference
      • GETSearch entities
      • POSTCreate entity
      • GETGet entity
      • POSTUpdate entity
      • DELDelete entity
      • POSTAccept Terms of Service
      • POSTInitiate KYB
      • POSTGenerate JWT Token
      • GETGenerate Onboarding Link
      • POSTSend Onboarding Email
      • GETEvents
        • GETGet All
        • GETGet
        • POSTUpdate
Logo
Sign inBook a demo
API ReferenceEntityNotification Policy

Get

GET
https://api.mercoa.com/entity/:entityId/notification-policy/:notificationType
GET
/entity/:entityId/notification-policy/:notificationType
$curl https://api.mercoa.com/entity/ent_8545a84e-a45f-41bf-bdf1-33b42a55812c/notification-policy/INVOICE_APPROVAL_NEEDED \
> -H "Authorization: Bearer <token>"
1{
2 "disabled": false,
3 "additionalRoles": [
4 "admin",
5 "approver"
6 ],
7 "additionalUsers": [
8 "user_1234"
9 ],
10 "notifyPayeeCounterparty": true,
11 "notifyPayorCounterparty": true,
12 "type": "INVOICE_APPROVAL_NEEDED"
13}
Retrieve notification policy associated with this entity
Was this page helpful?
Previous

Update

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

entityIdstringRequired
Entity ID or Entity ForeignID
notificationTypeenumRequired

Response

This endpoint returns an object.
disabledboolean
True if the selected notification type is disabled for this entity
additionalRoleslist of strings
List of user roles that should receive notifications in addition to the default users for this notification type
additionalUserslist of strings
List of user IDs that should receive notifications in addition to the default users for this notification type
notifyPayeeCounterpartyboolean
True if the selected notification type should be sent to the counterparty if this is a payable invoice.
notifyPayorCounterpartyboolean
True if the selected notification type should be sent to the counterparty if this is a receivable invoice.
typeenum

Errors

400
Bad Request
401
Unauthorized
403
Forbidden
404
Not Found
409
Conflict
500
Internal Server Error
501
Unimplemented